RDKit: RDKit::v1::ForwardSDMolSupplier Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::v1::ForwardSDMolSupplier Class Reference

`#include <MolSupplier.v1API.h>`

Inheritance diagram for RDKit::v1::ForwardSDMolSupplier:

## Public Types
using | ContainedType = v2::FileParsers::ForwardSDMolSupplier

## Public Member Functions
| ForwardSDMolSupplier ()
| ForwardSDMolSupplier (std::istream *inStream, bool takeOwnership=true, bool sanitize=true, bool removeHs=true, bool strictParsing=false)
| ~ForwardSDMolSupplier () override
void | setProcessPropertyLists (bool val)
bool | getProcessPropertyLists () const
bool | getEOFHitOnRead () const
Public Member Functions inherited from RDKit::v1::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
void | init ()
void | reset ()
bool | atEnd ()
ROMol * | next ()
virtual void | close ()

## Additional Inherited Members
Protected Attributes inherited from RDKit::v1::MolSupplier
std::unique_ptr< v2::FileParsers::MolSupplier > | dp_supplier

## Detailed Description

Definition at line 82 of file MolSupplier.v1API.h.

## Member Typedef Documentation

## ◆ ContainedType

using RDKit::v1::ForwardSDMolSupplier::ContainedType = v2::FileParsers::ForwardSDMolSupplier

Definition at line 89 of file MolSupplier.v1API.h.

## Constructor & Destructor Documentation

## ◆ ForwardSDMolSupplier() [1/2]

RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier | ( |  | ) |
| inline

Definition at line 90 of file MolSupplier.v1API.h.

## ◆ ForwardSDMolSupplier() [2/2]

RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | bool | sanitize = true,
|  | bool | removeHs = true,
|  | bool | strictParsing = false )
| inlineexplicit

Definition at line 92 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, RDKit::v2::FileParsers::MolFileParserParams::removeHs, RDKit::v2::FileParsers::MolFileParserParams::sanitize, and RDKit::v2::FileParsers::MolFileParserParams::strictParsing.

## ◆ ~ForwardSDMolSupplier()

RDKit::v1::ForwardSDMolSupplier::~ForwardSDMolSupplier | ( |  | ) |
| inlineoverride

Definition at line 104 of file MolSupplier.v1API.h.

## Member Function Documentation

## ◆ getEOFHitOnRead()

bool RDKit::v1::ForwardSDMolSupplier::getEOFHitOnRead | ( |  | ) | const
| inline

Definition at line 119 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier.

## ◆ getProcessPropertyLists()

bool RDKit::v1::ForwardSDMolSupplier::getProcessPropertyLists | ( |  | ) | const
| inline

Definition at line 111 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier.

## ◆ setProcessPropertyLists()

void RDKit::v1::ForwardSDMolSupplier::setProcessPropertyLists | ( | bool | val | ) |
| inline

Definition at line 106 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, and PRECONDITION.

The documentation for this class was generated from the following file:

- MolSupplier.v1API.h